#include <SPI.h>
#include <nRF24L01.h>
#include <RF24.h>

RF24 radio(A0, 10); //CE, CSN
const byte address[6] = "00001";

float lpg, co, smoke;
float temperatureC, humidity;
boolean f_b;
float distance_down, distance_up;

void setup() {
  Serial.begin(9600);
  delay(500);
  radio.begin();
  radio.openReadingPipe(0, address);
  radio.setPALevel(RF24_PA_MIN);
  radio.startListening();
}

void loop() {
  if (radio.available())              //Looking for the data.
  {
    //Reading the data
    radio.read(&lpg, sizeof(lpg));
    radio.read(&co, sizeof(co));
    radio.read(&smoke, sizeof(smoke));
    radio.read(&humidity, sizeof(humidity));
    radio.read(&temperatureC, sizeof(temperatureC));
    radio.read(&distance_down, sizeof(distance_down));
    radio.read(&distance_up, sizeof(distance_up));
    radio.read(&f_b, sizeof(f_b));
    //data on Serial
    Serial.print(lpg);
    Serial.println(">");
    Serial.print(co);
    Serial.println(">");
    Serial.print(smoke);
    Serial.println(">");
    Serial.print(humidity);
    Serial.println(">");
    Serial.print(temperatureC);
    Serial.println(">");
    Serial.print(distance_down);
    Serial.println(">");
    Serial.print(distance_up);
    Serial.println(">");
    if(f_b == true){
      Serial.print("t");
    }else{
      Serial.print("f");
    }
    Serial.println(">");
  }else{
      //Serial.println("not available");
  }
  delay(20);
}
